"use strict";
cc._RF.push(module, 'fed2ezMzqlALKKTUjq2JG4F', 'Physics-bound');
// Physics-bound.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        size: cc.size(0, 0)
        // mouseJoint: true
    },

    // use this for initialization
    onLoad: function onLoad() {

        // var manager = cc.director.getCollisionManager();

        // manager.enabled = true;

        // manager.enabledDebugDraw = true;

        cc.director.getPhysicsManager().enabled = true;

        cc.director.getPhysicsManager().debugDrawFlags = cc.PhysicsManager.DrawBits.e_aabbBit | cc.PhysicsManager.DrawBits.e_pairBit | cc.PhysicsManager.DrawBits.e_centerOfMassBit | cc.PhysicsManager.DrawBits.e_jointBit | cc.PhysicsManager.DrawBits.e_shapeBit;

        //thiss stops debug drawing - 0 disable, 1 enable drawing
        cc.director.getPhysicsManager().debugDrawFlags = 1;

        var width = this.size.width || this.node.width;
        var height = this.size.height || this.node.height;

        console.log('width: ' + width + ' height: ' + height);

        var node = new cc.Node();

        var body = node.addComponent(cc.RigidBody);
        body.type = cc.RigidBodyType.Static;

        // if (this.mouseJoint) {
        //     // add mouse joint
        //     let joint = node.addComponent(cc.MouseJoint);
        //     joint.mouseRegion = this.node;    
        // }

        this._addBound(node, 0, height / 2, width, 20);
        this._addBound(node, 0, -height / 2, width, 20);
        this._addBound(node, -width / 2, 0, 20, height);
        this._addBound(node, width / 2, 0, 20, height);

        node.parent = this.node;
    },

    _addBound: function _addBound(node, x, y, width, height) {
        console.log('add bound');

        var collider = node.addComponent(cc.PhysicsBoxCollider);
        collider.offset.x = x;
        collider.offset.y = y;
        collider.size.width = width;
        collider.size.height = height;
    }
});

cc._RF.pop();